Package be.fgov.ehealth.hubservices.core.v2

# Class AuthorWithPatientAndPersonType

java.lang.Object
be.fgov.ehealth.standards.kmehr.schema.v1.AuthorType
be.fgov.ehealth.hubservices.core.v2.AuthorWithPatientAndPersonType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class AuthorWithPatientAndPersonType extends AuthorType implements Serializable

Java class for AuthorWithPatientAndPersonType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthorWithPatientAndPersonType">
       <complexContent>
         <extension base="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType" minOccurs="0"/>
             <element name="person" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personTypeLight" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorWithPatientAndPersonType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PatientIdType`
  `getPatient()`
  coming from MH, optional to be backward compatible
  `PersonTypeLight`
  `getPerson()`
  required when not a patient or hcparty, optional to be backward compatible
  `void`
  `setPatient(PatientIdType value)`
  Sets the value of the patient property.
  `void`
  `setPerson(PersonTypeLight value)`
  Sets the value of the person property.

  ### Methods inherited from class be.fgov.ehealth.standards.kmehr.schema.v1.AuthorType

  `getHcparties`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthorWithPatientAndPersonType

    public AuthorWithPatientAndPersonType()

- ## Method Details

  - ### getPatient

    public PatientIdType getPatient()
    coming from MH, optional to be backward compatible
    Returns:
      possible object is `PatientIdType`

  - ### setPatient

    public void setPatient(PatientIdType value)
    Sets the value of the patient property.
    Parameters:
      `value` - allowed object is `PatientIdType`
    See Also:
      - `getPatient()`

  - ### getPerson

    public PersonTypeLight getPerson()
    required when not a patient or hcparty, optional to be backward compatible
    Returns:
      possible object is `PersonTypeLight`

  - ### setPerson

    public void setPerson(PersonTypeLight value)
    Sets the value of the person property.
    Parameters:
      `value` - allowed object is `PersonTypeLight`
    See Also:
      - `getPerson()`